/*
* spi.c
*
* Created: 18.01.2016 00:56:20
*  Author: sschultewolter
*/

#include "spi.h"

#include <avr/io.h>

void spi_init(void)
{
	SPI_DDR |= (1<<SPI_SCK) | (1<<SPI_MOSI) | (1<<SPI_SS);
	SPI_DDR &= ~(1<<SPI_MISO);

	SPCR |= (1<<SPE) | (1<<MSTR);
	SPSR |= (1<<SPI2X);
}

void spi_alt_init(void)
{
	REMAP |= (1<<SPIMAP);
	SPI_DDR |= (1<<SPI_ALT_SCK) | (1<<SPI_ALT_MOSI) | (1<<SPI_ALT_SS);
	SPI_DDR &= ~(1<<SPI_ALT_MISO);

	SPCR |= (1<<SPE) | (1<<MSTR);
	SPSR |= (1<<SPI2X);
}

void spi_write(unsigned char data)
{
	SPDR = data;
	while(!(SPSR & (1<<SPIF)));
}