/*
* uart0.c
*
* Created: 18.01.2016 00:10:52
*  Author: sschultewolter
*/

#include "uart0.h"

#include <avr/io.h>
#include <util/setbaud.h>

void uart0_init(void)
{
	UBRR0 = UBRR_VALUE;

	#if USE_2X
	UCSR0A |= (1<<U2X0);
	#else
	UCSR0A &= ~(1<<U2X0);
	#endif

	UCSR0B |= (1<<TXEN0) | (1<<RXEN0);
	UCSR0C |= (1<<UCSZ01) | (1<<UCSZ00);
}

void uart0_write(unsigned char data)
{
	while(!(UCSR0A & (1<<UDRE0)));
	UDR0 = data;
}